Subject: [bug#35483] gnu: u-boot-tools: Only run full test suite on x86.

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 30 Apr 2019 19:58:00 +0200

I'm leaving the bug report open since it's one thing if the tests are not
succeeding because the *tests* are broken and another thing if the tests
are not succeeding because the functionality it is testing is broken.
At least on i686 u-boot-tools, the latter seems to be the case often.

So before closing this bug report, let's bring this up upstream and also
let's disable features in the u-boot configuration that are broken but
we don't need anyway.